Public Attributes | List of all members
_hal_spi_callback Struct Reference
Peripheral Driver » HAL Driver » SPI » Callback Structures » Callback

HAL_SPI Callback function definition. More...

`#include <gr55xx_hal_spi.h>`

## Public Attributes
void(* | spi_msp_init )(spi_handle_t *p_spi)
| SPI init MSP callback More...
void(* | spi_msp_deinit )(spi_handle_t *p_spi)
| SPI de-init MSP callback More...
void(* | spi_error_callback )(spi_handle_t *p_spi)
| SPI error callback More...
void(* | spi_abort_cplt_callback )(spi_handle_t *p_spi)
| SPI abort completed callback More...
void(* | spi_rx_cplt_callback )(spi_handle_t *p_spi)
| SPI rx transfer completed callback More...
void(* | spi_tx_cplt_callback )(spi_handle_t *p_spi)
| SPI tx transfer completed callback More...
void(* | spi_tx_rx_cplt_callback )(spi_handle_t *p_spi)
| SPI tx/rx transfer completed callback More...
void(* | spi_soft_cs_assert )(spi_handle_t *p_spi, uint32_t state)
| assert the cs signal by software setting More...
void(* | spi_soft_cs_deassert )(spi_handle_t *p_spi, uint32_t state)
| deassert the cs signal by software setting More...

## Detailed Description

HAL_SPI Callback function definition.

Definition at line 251 of file gr55xx_hal_spi.h.

## Member Data Documentation

## ◆ spi_abort_cplt_callback

void(* _hal_spi_callback::spi_abort_cplt_callback) (spi_handle_t *p_spi)

SPI abort completed callback

Definition at line 256 of file gr55xx_hal_spi.h.

## ◆ spi_error_callback

void(* _hal_spi_callback::spi_error_callback) (spi_handle_t *p_spi)

SPI error callback

Definition at line 255 of file gr55xx_hal_spi.h.

## ◆ spi_msp_deinit

void(* _hal_spi_callback::spi_msp_deinit) (spi_handle_t *p_spi)

SPI de-init MSP callback

Definition at line 254 of file gr55xx_hal_spi.h.

## ◆ spi_msp_init

void(* _hal_spi_callback::spi_msp_init) (spi_handle_t *p_spi)

SPI init MSP callback

Definition at line 253 of file gr55xx_hal_spi.h.

## ◆ spi_rx_cplt_callback

void(* _hal_spi_callback::spi_rx_cplt_callback) (spi_handle_t *p_spi)

SPI rx transfer completed callback

Definition at line 257 of file gr55xx_hal_spi.h.

## ◆ spi_soft_cs_assert

void(* _hal_spi_callback::spi_soft_cs_assert) (spi_handle_t *p_spi, uint32_t state)

assert the cs signal by software setting

Definition at line 260 of file gr55xx_hal_spi.h.

## ◆ spi_soft_cs_deassert

void(* _hal_spi_callback::spi_soft_cs_deassert) (spi_handle_t *p_spi, uint32_t state)

deassert the cs signal by software setting

Definition at line 261 of file gr55xx_hal_spi.h.

## ◆ spi_tx_cplt_callback

void(* _hal_spi_callback::spi_tx_cplt_callback) (spi_handle_t *p_spi)

SPI tx transfer completed callback

Definition at line 258 of file gr55xx_hal_spi.h.

## ◆ spi_tx_rx_cplt_callback

void(* _hal_spi_callback::spi_tx_rx_cplt_callback) (spi_handle_t *p_spi)

SPI tx/rx transfer completed callback

Definition at line 259 of file gr55xx_hal_spi.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_spi.h